Skip to content

IP Allowlist

Manage IP allowlist settings for your workspace.

The IP Allowlist API allows you to configure which IP addresses are allowed to access the Intercom API and web application for your workspace. This is useful for restricting access to your Intercom workspace to specific corporate networks or VPNs.

Authentication

This endpoint requires the manage_ip_allowlist OAuth scope.

Get IP allowlist settings

Request

Retrieve the current IP allowlist configuration for the workspace.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.15"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.15
curl -i -X GET \
  https://api.intercom.io/ip_allowlist \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.15'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value ip_allowlist.

Example:"ip_allowlist"
enabledboolean

Whether the IP allowlist is enabled for the workspace.

Example:true
ip_allowlistArray of strings

List of allowed IP addresses and/or IP ranges in CIDR notation. Examples:

  • Single IP: 192.168.0.1
  • IP range: 192.168.0.1/24 (allows 192.168.0.0 - 192.168.0.255)
Example:
[ "192.168.1.0/24", "10.0.0.1" ]
Response
{ "type": "ip_allowlist", "enabled": true, "ip_allowlist": [ "192.168.1.0/24", "10.0.0.1" ] }